Index: auto/options
===================================================================
--- auto/options	(revision c08f3b1b4e43ccc9c75b691afda7ada8296287fb)
+++ auto/options	(revision c08f3b1b4e43ccc9c75b691afda7ada8296287fb)
@@ -0,0 +1,140 @@
+#!/bin/sh
+
+help=no
+
+PROJECT_NAME='utt'
+PROJECT_VERSION='0.0.1'
+PROJECT_PAGE='http://utt.wmi.amu.edu.pl'
+PROJECT_MAIL='utt@wmid.amu.edu.pl'
+
+SHELL='/bin/sh'
+CC='/usr/bin/gcc'
+BISON='/usr/bin/bison'
+RM='/bin/rm -f'
+RMDIR='/bin/rm -rf'
+TEST='/usr/bin/test'
+MAKE='/usr/bin/make'
+GREP='/bin/grep'
+CUT='/usr/bin/cut'
+SORT='/usr/bin/sort'
+PR='/usr/bin/pr'
+
+CFLAGS='-g -O2 -Wall'
+LDFLAGS=''
+LDLIBS=''
+BFLAGS=''
+
+DESTDIR=
+
+prefix='/usr/local'
+exec_prefix='$(prefix)'
+bindir='$(exec_prefix)/bin'
+sbindir='$(exec_prefix)/sbin'
+datarootdir='$(prefix)/share'
+datadir='$(datarootdir)'
+sysconfdir='$(prefix)/etc'
+sharedstatedir='$(prefix)/com'
+localstatedir='$(prefix)/var'
+
+for option
+do
+  case "$option" in
+    -*=*) value=$(echo "$option" | sed -e 's/[-_a-zA-Z0-9]*=//')  ;;
+    *=*)  value=$(echo "$option" | sed -e 's/[_A-Z0-9]*=//')      ;;
+    *)    value=""                                                ;;
+  esac
+
+  case "$option" in
+    --help)             help=yes                                  ;;
+
+    --prefix=*)         prefix="$value"                           ;;
+    --exec-prefix=*)    exec_prefix="$value"                      ;;
+    --bindir=*)         bindir="$value"                           ;;
+    --sbindir=*)        sbindir="$value"                          ;;
+    --datarootdir=*)    datarootdir="$value"                      ;;
+    --datadir=*)        datadir="$value"                          ;;
+    --sysconfdir=*)     sysconfdir="$value"                       ;;
+    --sharedstatedir=*) sharedstatedir="$value"                   ;;
+    --localstatedir=*)  localstatedir="$value"                    ;;
+
+    SHELL=*)            SHELL="$value"                            ;;
+    CC=*)               CC="$value"                               ;;
+    BISON=*)            BISON="$value"                            ;;
+    RM=*)               RM="$value"                               ;;
+    RMDIR=*)            RMDIR="$value"                            ;;
+    TEST=*)             TEST="$value"                             ;;
+    MAKE=*)             MAKE="$value"                             ;;
+    GREP=*)             GREP="$value"                             ;;
+    CUT=*)              CUT="$value"                              ;;
+    SORT=*)             SORT="$value"                             ;;
+    PR=*)               PR="$value"                               ;;
+
+    CFLAGS=*)           CFLAGS="$value"                           ;;
+    LDFLAGS=*)          LDFLAGS="$value"                          ;;
+    LDLIBS=*)           LDLIBS="$value"                           ;;
+    BFLAGS=*)           BFLAGS="$value"                           ;;
+  esac
+done
+
+if [ "$help" = "yes" ]; then
+
+cat << HELP_END
+
+Configure script for $PROJECT_NAME $PROJECT_VERSION to adapt to many kinds of systems.
+
+Usage:
+
+  ./configure [OPTION]... [VAR=VALUE]...
+
+To assign environment variables (e.g., CC, CFLAGS...), specify them as
+VAR=VALUE.  See below for descriptions of some of the useful variables.
+
+Options:
+
+  --help                display this help and exit
+
+Installation directories:
+
+  --prefix=PATH         install architecture-independent files in PATH
+  --exec-prefix=PATH    install architecture-dependent files in PATH
+
+Fine tuning of the installation directories:
+
+  --bindir=PATH         user executables
+  --sbindir=PATH        system admin executables
+  --datarootdir=PATH    read-only arch.-independent data root
+  --datadir=PATH        read-only architecture-independent data
+  --sysconfdir=PATH     read-only single-machine data
+  --sharedstatedir=PATH modifiable architecture-independent data
+  --localstatedir=PATH  modifiable single-machine data
+
+Some influential environment variables:
+
+  SHELL                 shell command
+  CC                    C compiler command
+  BISON                 Bison compiler command
+  RM                    rm command
+  RMDIR                 rmdir command
+  TEST                  test command
+  MAKE                  make command
+  GREP                  grep command
+  CUT                   cut command
+  SORT                  sort command
+  PR                    pr command
+
+  CFLAGS                C compiler flags
+  LDFLAGS               linker flags, e.g. -L<lib dir> if you have
+                        libraries in a nonstandard directory <lib dir>
+  LDLIBS                libraries to pass to the linker, e.g. -l<library>
+  BFLAGS                Bison compiler flags
+
+Use these variables to override default values.
+
+Report bugs to <$PROJECT_MAIL>.
+More details at $PROJECT_PAGE.
+
+HELP_END
+
+  exit 1
+fi
+
